Main Page Modules Alphabetical List Data Structures File List Data Fields Globals # IxAtmSch.h Go to the documentation of this file.
    00001
    00069 #ifndef IXATMSCH_H
    00070 #define IXATMSCH_H
    00071
    00072 #include "IxTypes.h"
    00073 #include "IxAtmTypes.h"
    00074
    00075 /*
    00076  * #defines and macros used in this file.
    00077  */
    00078
    00079 /* Return codes */
    00080
    00088 #define IX_ATMSCH_RET_NOT_ADMITTED 2
    00089
    00097 #define IX_ATMSCH_RET_QUEUE_FULL 3
    00098
    00106 #define IX_ATMSCH_RET_QUEUE_EMPTY 4
    00107
    00108 /*
    00109  * Function declarations
    00110  */
    00111
    00129 IX_STATUS ixAtmSchInit(void);
    00130
    00163 IX_STATUS ixAtmSchPortModelInitialize( IxAtmLogicalPort port,
    00164                                        unsigned int portRate,
    00165                                        unsigned int minCellsToSchedule);
    00166
    00202 IX_STATUS
    00203 ixAtmSchPortRateModify( IxAtmLogicalPort port,
    00204                         unsigned int portRate);
    00205
    00206
    00242 IX_STATUS
    00243 ixAtmSchVcModelSetup( IxAtmLogicalPort port,
    00244                       IxAtmTrafficDescriptor *trafficDesc,
    00245                       IxAtmSchedulerVcId *vcId);
    00246
    00276 IX_STATUS
    00277 ixAtmSchVcConnIdSet( IxAtmLogicalPort port,
    00278                      IxAtmSchedulerVcId vcId,
    00279                      IxAtmConnId vcUserConnId);
    00280
    00306 IX_STATUS
    00307 ixAtmSchVcModelRemove( IxAtmLogicalPort port,
    00308                        IxAtmSchedulerVcId vcId);
    00309
    00364 IX_STATUS
    00365 ixAtmSchVcQueueUpdate( IxAtmLogicalPort port,
    00366                        IxAtmSchedulerVcId vcId,
    00367                        unsigned int numberOfCells);
    00368
    00400 IX_STATUS
    00401 ixAtmSchVcQueueClear( IxAtmLogicalPort port,
    00402                       IxAtmSchedulerVcId vcId);
    00403
    00466 IX_STATUS
    00467 ixAtmSchTableUpdate( IxAtmLogicalPort port,
    00468                      unsigned int maxCells,
    00469                      IxAtmScheduleTable **rettable);
    00470
    00484 void
    00485 ixAtmSchShow(void);
    00486
    00498 void
    00499 ixAtmSchStatsClear(void);
    00500
    00501 #endif
    00502 /* IXATMSCH_H */
    00503
Automatically generated from sources. © Intel Corp. 2003